package nl.amis.crm;

import java.util.ArrayList;

public class CustomerProfile {

private int customerId;
// creditService
private int creditRating;
private float totalDebt;
private boolean isBankrupt;
// contact
private String name;
private String street;
private String houseNumber;
private String postalCode;
private String city;
private String country;
private String birthdate;
private boolean receiveMailings;
private String emailAddress;
private String telephone;
private String customerStatus;
// financials
private float totalRevenue;
private float creditLimit;
private float outstandingDebt;
private float avgPayDelay     ;
// orders
private String firstOrderDate;
private int numberOfOrders;
private float totalOrderTotal;
private float avgOrderTotal;
private String mostRecentOrder;
private ArrayList<String>  categories= new ArrayList();        
// social
private byte numberOfChildren;
private boolean hasPet;
private boolean isHomeOwner;
private  boolean isSmoker;
private byte socialCategory;


    public CustomerProfile() {
    }

    public void setCustomerId(int customerId) {
        this.customerId = customerId;
    }

    public int getCustomerId() {
        return customerId;
    }

    public void setCreditRating(int creditRating) {
        this.creditRating = creditRating;
    }

    public int getCreditRating() {
        return creditRating;
    }

    public void setTotalDebt(float totalDebt) {
        this.totalDebt = totalDebt;
    }

    public float getTotalDebt() {
        return totalDebt;
    }

    public void setIsBankrupt(boolean isBankrupt) {
        this.isBankrupt = isBankrupt;
    }

    public boolean isIsBankrupt() {
        return isBankrupt;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getStreet() {
        return street;
    }

    public void setHouseNumber(String houseNumber) {
        this.houseNumber = houseNumber;
    }

    public String getHouseNumber() {
        return houseNumber;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCity() {
        return city;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getCountry() {
        return country;
    }

    public void setBirthdate(String birthdate) {
        this.birthdate = birthdate;
    }

    public String getBirthdate() {
        return birthdate;
    }

    public void setReceiveMailings(boolean receiveMailings) {
        this.receiveMailings = receiveMailings;
    }

    public boolean isReceiveMailings() {
        return receiveMailings;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setCustomerStatus(String customerStatus) {
        this.customerStatus = customerStatus;
    }

    public String getCustomerStatus() {
        return customerStatus;
    }

    public void setTotalRevenue(float totalRevenue) {
        this.totalRevenue = totalRevenue;
    }

    public float getTotalRevenue() {
        return totalRevenue;
    }

    public void setCreditLimit(float creditLimit) {
        this.creditLimit = creditLimit;
    }

    public float getCreditLimit() {
        return creditLimit;
    }

    public void setOutstandingDebt(float outstandingDebt) {
        this.outstandingDebt = outstandingDebt;
    }

    public float getOutstandingDebt() {
        return outstandingDebt;
    }

    public void setAvgPayDelay(float avgPayDelay) {
        this.avgPayDelay = avgPayDelay;
    }

    public float getAvgPayDelay() {
        return avgPayDelay;
    }

    public void setFirstOrderDate(String firstOrderDate) {
        this.firstOrderDate = firstOrderDate;
    }

    public String getFirstOrderDate() {
        return firstOrderDate;
    }

    public void setNumberOfOrders(int numberOfOrders) {
        this.numberOfOrders = numberOfOrders;
    }

    public int getNumberOfOrders() {
        return numberOfOrders;
    }

    public void setTotalOrderTotal(float totalOrderTotal) {
        this.totalOrderTotal = totalOrderTotal;
    }

    public float getTotalOrderTotal() {
        return totalOrderTotal;
    }

    public void setAvgOrderTotal(float avgOrderTotal) {
        this.avgOrderTotal = avgOrderTotal;
    }

    public float getAvgOrderTotal() {
        return avgOrderTotal;
    }

    public void setMostRecentOrder(String mostRecentOrder) {
        this.mostRecentOrder = mostRecentOrder;
    }

    public String getMostRecentOrder() {
        return mostRecentOrder;
    }

    public void setCategories(ArrayList<String> categories) {
        this.categories = categories;
    }

    public ArrayList<String> getCategories() {
        return categories;
    }

    public void setNumberOfChildren(byte numberOfChildren) {
        this.numberOfChildren = numberOfChildren;
    }

    public byte getNumberOfChildren() {
        return numberOfChildren;
    }

    public void setHasPet(boolean hasPet) {
        this.hasPet = hasPet;
    }

    public boolean isHasPet() {
        return hasPet;
    }

    public void setIsHomeOwner(boolean isHomeOwner) {
        this.isHomeOwner = isHomeOwner;
    }

    public boolean isIsHomeOwner() {
        return isHomeOwner;
    }

    public void setIsSmoker(boolean isSmoker) {
        this.isSmoker = isSmoker;
    }

    public boolean isIsSmoker() {
        return isSmoker;
    }

    public void setSocialCategory(byte socialCategory) {
        this.socialCategory = socialCategory;
    }

    public byte getSocialCategory() {
        return socialCategory;
    }
}
